<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.impl Class Hierarchy (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.impl Class Hierarchy (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/package-tree.html">Prev</a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/argument/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.firebirdsql.gds.impl</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/BaseGDSFactoryPlugin.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">BaseGDSFactoryPlugin</span></a> (implements org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl">GDSFactoryPlugin</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/DbAttachInfo.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">DbAttachInfo</span></a></li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSFactory.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">GDSFactory</span></a></li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">GDSHelper</span></a> (implements org.firebirdsql.jdbc.<a href="../../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSServerVersion.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">GDSServerVersion</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">GDSType</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferBase.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">ParameterBufferBase</span></a> (implements org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/BlobParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">BlobParameterBufferImp</span></a> (implements org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">DatabaseParameterBufferImp</span></a> (implements org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl">DatabaseParameterBufferExtension</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">ServiceParameterBufferImp</span></a> (implements org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">ServiceRequestBufferImp</span></a> (implements org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">TransactionParameterBufferImpl</span></a> (implements org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/TransactionParameterBuffer.html" title="interface in org.firebirdsql.gds">TransactionParameterBuffer</a>)</li>
</ul>
</li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Throwable</span></a> (implements java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Exception</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/GDSException.html" title="class in org.firebirdsql.gds"><span class="typeNameLink">GDSException</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSServerVersionException.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">GDSServerVersionException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/GDSFactoryPlugin.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">GDSFactoryPlugin</span></a></li>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Iterable</span></a>&lt;T&gt;
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ParameterBuffer</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/ConnectionParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">ConnectionParameterBuffer</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.<a href="../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds"><span class="typeNameLink">DatabaseParameterBuffer</span></a>
<ul>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferExtension.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">DatabaseParameterBufferExtension</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl"><span class="typeNameLink">ParameterBufferMetaData</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Enum</span></a>&lt;E&gt; (implements java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;, java.io.<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>)
<ul>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/TransactionParameterBufferImpl.TpbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">TransactionParameterBufferImpl.TpbMetaData</span></a> (implements org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.SrbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">ServiceRequestBufferImp.SrbMetaData</span></a> (implements org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">ServiceParameterBufferImp.SpbMetaData</span></a> (implements org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a>)</li>
<li type="circle">org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/DatabaseParameterBufferImp.DpbMetaData.html" title="enum in org.firebirdsql.gds.impl"><span class="typeNameLink">DatabaseParameterBufferImp.DpbMetaData</span></a> (implements org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/package-tree.html">Prev</a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/argument/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
